Skip to main content
PUT
/
api
/
v2
/
integration
/
{integrationSlug}
/
{integrationVersion}
Update integration data
curl --request PUT \
  --url 'https://api.vida.dev/api/v2/integration/{integrationSlug}/{integrationVersion}?token=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "appData": {
    "key": "value"
  }
}
'
import requests

url = "https://api.vida.dev/api/v2/integration/{integrationSlug}/{integrationVersion}?token="

payload = { "appData": { "key": "value" } }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({appData: {key: 'value'}})
};

fetch('https://api.vida.dev/api/v2/integration/{integrationSlug}/{integrationVersion}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Integration data updated successfully",
  "appId": "acme",
  "appVersion": "v1",
  "appData": {
    "key": "value"
  }
}
{
"success": false,
"message": "appData is required"
}
{
"success": false,
"message": "Unauthorized Request"
}
{
"success": false,
"message": "Integration data not found"
}

Authorizations

token
string
query
required

Vida API Token

Path Parameters

integrationSlug
string
required

Slug identifier for the integration

integrationVersion
string
required

Version of the integration (defaults to v1)

Body

application/json
appData
object
required

Integration specific data to update

Example:
{ "key": "value" }

Response

Integration data updated successfully

success
boolean
Example:

true

message
string
Example:

"Integration data updated successfully"

appId
string
Example:

"acme"

appVersion
string
Example:

"v1"

appData
object
Example:
{ "key": "value" }